Subject: RE: [DNA] Considerations for DNA Schemes with multiple InterfaceandLayer 2 Technologies

From: Brijesh Kumar <[email-masked]>
Date: Thu, 28 Oct 2004 11:49:51 -0400

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of NJEDJOU Eric
>
> In the same respect,
>  the sentence "Today, a link change necessitates an IP
> configuration change." in the dna goals document introduction let
> the reader believe that a node would not be having interfaces
> attached to other links. Because if it is so, then the a
> configuration that might have been built on the non used link
> could start being used  without requiring new IP configuration.

It makes definite sense to me to clarify this aspect in any document
that is discussing goals/ objective etc.

I think there are three interfacing scenarios:

a) single CDMA interface capable of connecting to two base
stations (APs/BTS+BSS), each base station connected to a
different network.

b) two or more interfaces connected to a single network (same AR)

c) Two or more interfaces on the device, but each interface connected
to a separate network (902.11 + GPRS EDGE combo, or two 802.11
interfaces)

Cheers,

--bk

>
>
> -----Message d'origine-----
> De : [email-masked]
> [mailto:[email-masked]] De la part de
> Pekka Nikander
> Envoyé : lundi 25 octobre 2004 08:59
> À : Dna
> Cc : Erik Nordmark; YGHONG; ???; Greg Daley; JinHyeock Choi; ???
> Objet : Re: [DNA] Considerations for DNA Schemes with multiple
> Interface and Layer 2 Technologies
>
> >> I think that the case 3.2, 'Single interface with Make before Break'
> >> will affect DNA solution design. I agree that we are not familiar
> >> with this case, so it would be of much help, if you elaborate the
> >> below with more detail.
> >>
> >>                 ... But in CDMA[7], a
> >>      mobile station can access two or more different base stations
> >>      simultaneously. In this case, a host can make a new link-layer
> >>      connection before an old link-layer connection is torn down.
> >
> > I hope that L2 can actually tell the packets apart.
> > If this is possible, then the implementation could present the packets
> > from the different links are arriving on different interfaces to IP.
>
> I agree with Erik and others that the apparently cleanest way is
> to model the situation with distinct (virtual) interfaces, each
> corresponding to a wireless connection.
>
> However, I am also wondering how often we need that in practise.
> As far as I've understood (which may be completely wrong), in the
> typical case the CDMA network models the whole base station
> network as a single link, with a single excess router.  OTOH, I
> have no idea whether soft handovers between operators is defined or not.
> If they are, then we probably need some care there.
>
> Taking a slightly wider angle, we can imagine various anomalies
> like someone inadvertedly connecting two (wireline) LAN segments
> together.  That would (temporarily) create a similar situation.
> Hence, I'm afraid that we need to make the DNA scheme(s) robust
> against these kinds of situations.  However, my current opinion
> (subject to change) is that we should not worry too much about
> these kinds of situations, and it would be perfectly OK if it
> takes some more time to system to recover in such a situation.
> In other words, if some hosts unnecessarily run DNA and
> autoconfiguration, that wouldn't be too bad.
>
> Network operators have to live with the limits of technology
> anyway.  If our DNA effort results in a piece of technology that
> has a number of well documented limitations, that is OK, as long
> as the WG agrees on the limitations.
>
> --Pekka
>
>

---

From: JinHyeock Choi <[email-masked]>
Date: Sat, 30 Oct 2004 01:49:12 +0900

> that is discussing goals/ objective etc.

Disagree. I see little connection with this aspect with goals/objectives.
How can an IP address assigned to one interface can be used in other 
interface? What if they are attached to different links? In case I am wrong, 
kindly enlighten me. 
 
> to a separate network (902.11 + GPRS EDGE combo, or two 802.11
 
DNA is run per interface. Each interface detects the identity of currently 
attached link. Hence few need to take b) and c) into special consideration. 

Best Regards

JinHyeock